<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:osis="http://www.bibletechnologies.net/2003/OSIS/namespace"
  xmlns:jsword="http://xml.apache.org/xalan/java"
  extension-element-prefixes="jsword"
  >

  <xsl:output method="text" indent="no"/> 

  <xsl:template match="/osis:osis">
    <xsl:for-each select="osis:osisText"><xsl:apply-templates /></xsl:for-each>
  </xsl:template>

  <xsl:template match="osis:div[@type = 'book' or @type = 'colophon']"><xsl:text>&#xA;</xsl:text><xsl:value-of select="@osisID"/><xsl:text> </xsl:text><xsl:apply-templates /></xsl:template>

  <xsl:template match="osis:chapter"><xsl:text>&#xA;</xsl:text><xsl:value-of select="@osisID"/><xsl:text> </xsl:text><xsl:apply-templates /></xsl:template>

  <xsl:template match="osis:title">&lt;<xsl:apply-templates />></xsl:template>

  <xsl:template match="osis:w|osis:q|osis:seg|osis:inscription|osis:abbr"><xsl:apply-templates /></xsl:template>

  <xsl:template match="osis:divineName"><xsl:value-of select="translate(., 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')" /></xsl:template>

  <xsl:template match="osis:milestone[@type = 'x-p']"># </xsl:template>

  <xsl:template match="osis:verse">
    <xsl:text>&#xA;</xsl:text><xsl:value-of select="@osisID"/><xsl:text> </xsl:text><xsl:apply-templates />
  </xsl:template>

  <xsl:template match="osis:note[@type = 'study']">{<xsl:apply-templates />}</xsl:template>

  <!-- ignore notes -->
  <xsl:template match="osis:note|osis:milestone[@type = 'x-strongsMarkup' or @type = 'x-extra-p']|osis:header"/>

  <!-- Span is used for inline elements to communicate a style -->
  <xsl:template match="osis:transChange|osis:seg[@type = 'x-transChange']">
    <xsl:text>[</xsl:text><xsl:apply-templates /><xsl:text>]</xsl:text>
  </xsl:template>

  <!-- <xsl:template match="lb"><xsl:text>&#x20;</xsl:text></xsl:template> -->

  <xsl:template match="text()"><xsl:value-of select="translate(., '&#xA;', '')"/></xsl:template>

  <!-- for all other tags output an error message. Don't output the content. -->
  <xsl:template match="*">
    <xsl:if test="local-name()">Error: Unknown tag <xsl:value-of select="name()" /></xsl:if>
  </xsl:template>

</xsl:stylesheet>
